//---------------------------------------------------------------------------
#ifndef TStatusH
#define TStatusH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CoolForm.hpp"
#include "DigitNum.h"
#include <ExtCtrls.hpp>
#include <Db.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <DBCtrls.hpp>
#include <DBTables.hpp>
#include "CtrlElemento.h"
#include <Graphics.hpp>
#include "FormularioREUSABLE.h"

//---------------------------------------------------------------------------
class TStatus : public TFormREUSABLE
{
__published:	// IDE-managed Components
    TDigitNum *Dig2;
    TShape *Shape1;
    TShape *Shape2;
    TShape *Time1;
    TShape *Time2;
    TShape *Time3;
    TLabel *ltime1;
    TLabel *ltime2;
    TLabel *ltime3;
    TDataSource *TDs;
    TLabel *Terminal;
    TLabel *Label1;
    TLabel *Label3;
    TLabel *Label2;
    TDigitNum *Precio;
    TButton *ActivarTerminal;
    TLabel *Label4;
    TLabel *Label5;
    TTable *TbPrecios;
        TSpeedButton *SetCliente;
    TTable *TbElementosCFG;
    TDigitNum *Dig1;
    TComboBox *TipoConexion;
    TTable *TbHistorial;
    TDigitNum *PrecioDec;
    TShape *Shape3;
    TShape *Shape4;
        TComboBox *Edit1;
        TComboBox *Edit2;
        TLabel *UBono1;
        TLabel *UBono2;
        TButton *MasTiempo;
    void __fastcall Time1MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall Time2MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall Time3MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    
    void __fastcall ltime1Click(TObject *Sender);
    void __fastcall ltime2Click(TObject *Sender);
    void __fastcall ltime3Click(TObject *Sender);
    
    void __fastcall ActivarTerminalClick(TObject *Sender);
    void __fastcall TiempoPedidoChange(TObject *Sender);
    void __fastcall TbPreciosBeforeOpen(TDataSet *DataSet);
        void __fastcall SetClienteClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall MasTiempoClick(TObject *Sender);
    
    
private:	// User declarations
    TElemento *Elemento;
    int idCliente;
    Currency PrecioAcumulado;
    int TBonoH, TBonoM;
    bool ClienteUsaBono;
public:		// User declarations
    void __fastcall SetElement( TElemento *Elto );

    __fastcall TStatus(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TStatus *Status;
//---------------------------------------------------------------------------
#endif
